#region Copyright Syncfusion Inc. 2001 - 2015
// Copyright Syncfusion Inc. 2001 - 2015. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using Syncfusion.Windows.Tools.Controls;
using System.Windows;
using System.IO;
using System;
using Syncfusion.UI.Xaml.Spreadsheet;
using Syncfusion.UI.Xaml.CellGrid.GridCellRenderer;
using System.Windows.Controls;
using Syncfusion.UI.Xaml.Grid.ScrollAxis;
using Syncfusion.UI.Xaml.CellGrid;
using Syncfusion.UI.Xaml.Spreadsheet.CellRenderer;
using System.Windows.Media;
using Syncfusion.UI.Xaml.Spreadsheet.Converter;
using SpreadsheetDemo.TemplateRenderer;
using Syncfusion.XlsIO;
using System.Windows.Input;
using Syncfusion.UI.Xaml.Spreadsheet.Helpers;

namespace SpreadsheetDemo
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : RibbonWindow
    {
        public MainWindow()
        {
            InitializeComponent();
            spreadsheetControl.Loaded += SpreadsheetControl_Loaded;
            spreadsheetControl.WorkbookLoaded += spreadsheetControl_WorkbookLoaded;
        }

        private void SpreadsheetControl_Loaded(object sender, RoutedEventArgs e)
        {
            try
            {
                using (var fileStream = new FileStream(@"..\..\Data\Sample.xlsx", FileMode.Open))
                {
                    this.spreadsheetControl.Open(fileStream);
                }
            }
            catch (Exception)
            { 
            }
        }

        void spreadsheetControl_WorkbookLoaded(object sender, WorkbookLoadedEventArgs args)
        {
            foreach (var item in spreadsheetControl.GridCollection)
            {
                var grid = item.Value;
                var renderer = new SpreadsheetTemplateCellRenderer();
                grid.CellRenderers.Add("QRBarCode", renderer);
                grid.QueryRange += grid_QueryRange;
            }
            spreadsheetControl.ActiveGrid.SetColumnWidth(4, 4, 180);
            spreadsheetControl.ActiveGrid.SetRowHeight(4, 4, 180);
        }

        void grid_QueryRange(object sender, SpreadsheetQueryRangeEventArgs e)
        {
            if (e.CellType == "Header")
                return;
            if (e.Cell.RowIndex == 4 && e.Cell.ColumnIndex == 4)
            {
                e.CellType = "QRBarCode";
                e.CellValue = "0";
                e.Handled = true;
            }
        }

    }
}
