﻿using Syncfusion.UI.Xaml.CellGrid;
using Syncfusion.UI.Xaml.CellGrid.GridCellRenderer;
using Syncfusion.UI.Xaml.Controls.Barcode;
using Syncfusion.UI.Xaml.Grid.ScrollAxis;
using Syncfusion.UI.Xaml.Spreadsheet;
using Syncfusion.UI.Xaml.Spreadsheet.CellRenderer;
using Syncfusion.UI.Xaml.Spreadsheet.Converter;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Media;

namespace SpreadsheetDemo.TemplateRenderer
{
public class SpreadsheetTemplateCellRenderer : SpreadsheetVirtualizingCellRendererBase<SfBarcode, SfBarcode>
{
    public SpreadsheetTemplateCellRenderer()
    {
        SupportDrawingOptimization = false;
    }

    protected override void OnUpdateCellStyle(RowColumnIndex cellRowColumnIndex, SfBarcode uiElement, SpreadsheetColumn column)
    {
        base.OnUpdateCellStyle(cellRowColumnIndex, uiElement, column);
    }

    protected override void OnInitializeEditElement(RowColumnIndex rowColumnIndex, SfBarcode uiElement, SpreadsheetColumn column)
    {
        uiElement.SymbologySettings = new QRBarcodeSetting() { XDimension = 8 };
        uiElement.DarkBarBrush = new SolidColorBrush(Colors.Black);
        uiElement.Symbology = BarcodeSymbolType.QRBarcode;
        uiElement.Text = "82698640929";
    }

    protected override void OnInitializeDisplayElement(RowColumnIndex rowColumnIndex, SfBarcode uiElement, SpreadsheetColumn column)
    {
        //Code for the QRBarCode Render.
        uiElement.SymbologySettings = new QRBarcodeSetting() { XDimension = 8 };
        uiElement.DarkBarBrush = new SolidColorBrush(Colors.Black);
        uiElement.Symbology = BarcodeSymbolType.QRBarcode;
        uiElement.Text = "82698640929";
    }

    
    protected override void OnUpdateEditCellStyle(RowColumnIndex cellRowColumnIndex, SfBarcode uiElement, SpreadsheetColumn column)
    {
        base.OnUpdateEditCellStyle(cellRowColumnIndex, uiElement, column);
    }
}
}
